Offers - List
获取资源组下的产品/服务列表。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/offers?api-version=2015-11-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string |
资源所在的资源组。 |
|
subscription
|
path | True |
string |
唯一标识 azure 订阅Microsoft的订阅凭据。订阅 ID 构成了每个服务调用的 URI 的一部分。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行 |
|
| Other Status Codes |
意外错误 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get the list of offers under a resource group.
示例请求
GET https://management.azure.com/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/RG1/providers/Microsoft.Subscriptions.Admin/offers?api-version=2015-11-01
示例响应
{
"value": [
{
"id": "/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/RG1/providers/Microsoft.Subscriptions.Admin/offers/sampleoffer1",
"name": "sampleoffer1",
"type": "Microsoft.Subscriptions.Admin/offers",
"location": "local",
"properties": {
"name": "sampleoffer1",
"displayName": "SampleOffer1",
"description": "",
"externalReferenceId": "",
"state": "Public",
"subscriptionCount": 1,
"maxSubscriptionsPerAccount": 0,
"basePlanIds": [
"/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/RG1/providers/Microsoft.Subscriptions.Admin/plans/sampleplan1"
]
}
},
{
"id": "/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/ascansubscrrg479/providers/Microsoft.Subscriptions.Admin/offers/sampleoffer2",
"name": "sampleoffer2",
"type": "Microsoft.Subscriptions.Admin/offers",
"location": "local",
"tags": {},
"properties": {
"name": "sampleoffer2",
"displayName": "sampleoffer2",
"state": "Public",
"subscriptionCount": 0,
"maxSubscriptionsPerAccount": 0,
"basePlanIds": [
"/subscriptions/0af9c33b-f7ac-4161-add5-17b2f0b6a669/resourceGroups/ascansubscrrg479/providers/Microsoft.Subscriptions.Admin/plans/sampleoffer2"
]
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Accessibility |
表示产品/服务的状态 |
|
Addon |
包含要从产品/服务链接或取消链接的所需计划的名称。 |
| Error |
错误响应。 |
|
Error |
错误定义。 |
| Offer |
表示可为其创建订阅的服务产品/服务。 |
|
Offer |
产品/服务列表。 |
AccessibilityState
表示产品/服务的状态
| 值 | 说明 |
|---|---|
| Private |
套餐或计划是专用的。 只有管理员才能查看和管理它。 |
| Public |
产品/服务或计划是公开的。 用户可以查看和自行订阅它。 |
| Decommissioned |
产品/服务或计划已停用。 当前订阅仍然可以使用它,但新订阅不能。 |
AddonPlanDefinition
包含要从产品/服务链接或取消链接的所需计划的名称。
| 名称 | 类型 | 说明 |
|---|---|---|
| maxAcquisitionCount |
integer (int32) |
单个订阅可以获取的最大实例数。 如果未指定,则假定值为 1。 |
| planId |
string |
计划标识符。 |
Error
错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误详细信息。 |
ErrorDefinition
错误定义。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
服务特定的错误代码,用作 HTTP 错误代码的子状态。 |
| details |
内部错误详细信息。 |
|
| message |
string |
错误说明。 |
Offer
表示可为其创建订阅的服务产品/服务。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的 URI。 |
| location |
string |
资源的位置 |
| name |
string |
资源的名称。 |
| properties.addonPlans |
对租户可以选择作为产品/服务的一部分获取的附加计划的引用。 |
|
| properties.basePlanIds |
string[] |
租户订阅产品/服务时立即可供租户使用的基本计划的标识符。 |
| properties.description |
string |
产品/服务说明。 |
| properties.displayName |
string |
产品/服务的显示名称。 |
| properties.externalReferenceId |
string |
外部引用标识符。 |
| properties.maxSubscriptionsPerAccount |
integer (int32) |
每个帐户的最大订阅数。 |
| properties.name |
string |
产品/服务的名称。 |
| properties.state |
提供辅助功能状态。 |
|
| properties.subscriptionCount |
integer (int32) |
当前订阅计数。 |
| tags |
object |
键值对的列表。 |
| type |
string |
资源类型。 |
OfferList
产品/服务列表。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
下一页的 URI。 |
| value |
Offer[] |
产品/服务列表。 |